1 Reply Latest reply: Jul 15, 2014 8:15 AM by deb86
marciafromtroy Level 1 Level 1 (0 points)

i am unable to download fit bit flex to mac mini 0S 10.6.8, error message make sure compatiable  with OS.  amy need to reinstall??  check with developer?? i have checked for updates, and am quite disappointed.  does anyone have a fix for this??